# eduGAIN Access Check Changelog

## Version 1.2.2 (19/10/2020)

* mitigate metadata synchronisation error: just skip problematic entity,
  instead of crashing

## Version 1.2.1 (11/03/2020)

* fix language detection
* add monitoring-dedicated status page

## Version 1.2.0 (04/02/2019)

* process metadata offline asynchronously
* allow optional pre-authentication
* handle presentation differences in templates, instead of code
* translate profile descriptions
* fix multiple profile inconsistencies
* honour X_FORWARDED_FOR header to identify requester addresst log

## Version 1.1.1 (26/10/2018)

* rename RENATER instance RENATER Access Check

## Version 1.1.0 (03/08/2018)

* update eduGAIN templates to latest official look'n'feel
* ship alternative Renater templates
* drop jquery-steps usage
* multiple federations support
* handle i18n using external po format dictionaries, instead of duplicating templates
* send notifications in HTML/text multipart format
* run under taint mode
* misc code cleanup
* update Perl distribution dependencies:
 - add CGI-Simple
 - add Data-Dump
 - add Email-MIME
 - add Email-Sender
 - add Locale-Maketext-Lexicon
 - add UNIVERSAL-require
 - drop CGI
 - drop HTTP-AcceptLanguage

## Version 1.0.3 (07/05/2018)

* fix multivalued user attributes handling

## Version 1.0.2 (18/04/2018)

* ensure UTF8 encoding of user attributes

## Version 1.0.1 (15/03/2018)

* fixed minor glitches in english templates

## Version 1.0 (02/03/2018)

* i18n support, based on language-specific template sets
* automatic language determination, based on browser accepted-content header
* french templates set
* accounts list retrieval support
* third-party javascript and css libraries updates
* plain text configuration file
* service-specific configuration override
* multi-tenants installation support
* large code cleanup
* test suite
* autotools-based installation procedure
